# AddSearch for WordPress

AddSearch is an instant search for your WordPress site. It is lightning fast, gives you full control over search results, and works on all devices.

## Description

AddSearch is a hosted search for your WordPress site that gives you accurate results instantly. And when we say instant, we mean that literally: you get results with just one key press. We have worked hard to ensure that AddSearch is the fastest search available anywhere.

The main benefits of AddSearch over the standard WordPress search, and other search solutions, are:

1. **Lightning fast**. With AddSearch you get results immediately after just one keypress. The results appear in a layer on top of the page, which you can scroll infinitely. It's a dramatically better user experience than with any other solution.

2. **Easy installation**. Installing the plugin takes minutes: you just copy one line of text, and you're done. There's no fiddling with templates, maintenance or hassle of any kind. 

3. **Mobile support**. AddSearch's UI adapts to any device, including desktops, tablets and phones. You don't need to do anything for full mobile support, even if your site isn't responsive or mobile.

4. **Results control**. You get to decide which pages and areas are more important than others. You also get full statistics, and can integrate your search analytics with Google Analytics.

AddSearch recrawls your site automatically, and automatically adds new content to the search. AddSearch is fully hosted and runs on highly scalable servers which ensure operation even on very high traffic sites.

AddSearch is free for sites up to 300 pages. For larger sites there are reasonable monthly or annual fees. See details at [www.addsearch.com/pricing](http://www.addsearch.com/pricing/)

We're developing AddSearch constantly, and welcome any feedback or suggestions. Please email us at [support@addsearch.com](mailto:support@addsearch.com)

## Installation

Installing AddSearch is really easy, and takes just minutes. Follow these instructions:

1. Go to [www.addsearch.com](http://www.addsearch.com) and sign up with your WordPress website address and email.

2. Log in to your WordPress site. Select `Plugins` and click `Add New`. Search for `addsearch`, click `Install Now` and select `OK`.

3. Check your email, and click the link to your search demo in the email. Click `Install Now` and sign up into the AddSearch Dashboard.

4. Click `Installation`, scroll to the bottom of the page, and copy the Site Key.

5. Go back to your WordPress admin interface and to the AddSearch plugin. Paste the Site Key in Settings &rarr; Addsearch and click `Save`.

6. Go to Appearance &rarr; Widgets. Drag the WordPress native Search Widget to your preferred widget area.

7. If your theme have search somewhere else, it will automatically be replaced by Addsearch.

8. You're DONE!

If you run into any trouble, feel free to shoot us an email at [support@addsearch.com](mailto:support@addsearch.com)

## Frequently Asked Questions

* Does Addsearch work with any theme? No, but it works with any theme that uses WordPress native <code>get_search_form()</code> function.

* For questions and answers, please see [www.addsearch.com/support/](http://www.addsearch.com/support/)

## Pricing

AddSearch is free for sites up to 300 pages. For larger sites there are reasonable monthly or annual fees. See details at [www.addsearch.com/pricing/](http://www.addsearch.com/pricing/)

## Screenshots

1. AddSearch live on [Arctic Startup](http://www.arcticstartup.com). Results appear after typing just one letter.

2. Another example after typing two letters. Note the screenshots for all sites in the results.

3. The same search on an iPhone 5.

## Changelog

### 1.1.0
* Everything is build again from ground up

### 1.0
* First version, AddSearch Widget

### 0.3
* Initial release
